Subject: Bootable roodisk 0.99 pl 5 is on tsx-11
From: [email-masked]
Date: Wed, 17 Feb 1993 05:08:33 GMT
Newsgroups: comp.os.linux.announce

Linux Bootable Root Disk [HJ release]

Introduction
------------
  This is a bootable root disk for Linux.  The kernel is 0.99 patch level 5
  with 387 emulation and SCSI support as well as the one line fix for keyboard
  from Linus. There are some basic binaries on the root disk, all of which are
  linked with the C library 4. There is a light version of the shared image
  4.3, lite.so.4.3, which doesn't have curses and gdbm. This kernel has TCP/IP
  enabled. But I don't have an Ethernet card.  Please consult the NET channel
  and modify /usr/etc/inet/*.

  There are two new users on the root disk, halt and shutdown, log in as
  halt or shutdown without password will halt (no delay) or shutdown (a few
  minutes delay) your computer respectively.

  You can use this disk to install a bootable root partition on your
  hard drive.
  
  The root disk is on tsx-11.mit.edu under pub/linux/GCC/rootdisk.

Distribution File Format
------------------------
  There are two versions of the root disk.  The first is in the file
  3rootdisk.z, and is for a 3.5" floppy.  The second file is 5rootdisk.z,
  and is for a 5.25" floppy.  Because the 5.25" floppy is smaller than
  the 3.5", some files are not present in the 5.25" version.

  Because of the lack of space on the 5.25" version, there are only a few
  free blocks left, and you may have trouble using vi.  To solve this you
  can delete any files you don't need from the root disk.

  This is a partial list of what is on the root disk.

  1. ksh 4.7 (buggy, but save quite a lot disk spaces, about 100K)
  2. gzip 1.03 (not present in the 5.25" version.)
  3. elvis 1.6
  4. doshell, chmod, chown, cp, ls (color), mv, rm, and ln.
  5. mount, umount, swapon and swapoff (new version).
  6. more (may not be present in the 5.25" version.)
  7. /proc based ps, free, tload, w and uptime 
  8. mkfs, mkswap, fsck and fdisk
  9. efsck and mkefs (alpha 11)
  10. expr (for /dev/MAKEDEV)
  11. grep (for /usr/etc/inet/rc.net)
  12. lilo 0.8 pl 1 (only minimum stuff, please get full package as well
      as documentations.)

Building the Bootable Root Floppy
---------------------------------
  1. uncompress [3|5]rootdisk.Z with gzip.
  2. rawrite or dd the file to a formatted floppy disk.

  You now have a bootable floppy, which you can use to boot your system.

Installing a Bootable Root Partition on Your Hard Drive
-----------------------------------------------------
  You can use this disk to install a bootable root partition on your
  hard drive.  You will need to create a root partition on your disk,
  using the DOS fdisk command, or another hard drive utility.

  If you are creating the partition, be sure to record its size in
  bytes.  If the partition already exists, you can find its size using
  fdisk.

  If you want to install Linux on partition /dev/hdxx, whose size
  is yyyy K bytes, do:

    mkfs /dev/hdxx yyyyy
    mount /dev/hdxx /mnt
    (cd /; cp -av . /mnt)

  Edit /mnt/etc/fstab to ensure that /dev/hdxx will be mounted as root.
  There are some examples in /mnt/etc/fstab.

  Next, use lilo to set up your hard drive to boot either Linux or DOS:

    cd /mnt/etc/lilo
    rm map boot.????
    ./lilo -r /mnt -b /dev/hdxx -i /etc/lilo/boot.b -v -v -v /vmlinux,/dev/hdxx

  You will also need to make the partition you wish to boot from active,
  and make all other partitions non-active.  You can do this using fdisk.
  You can now boot Linux from your hard drive.  Installing other packages
  should be easy, since you have tar and compress on your hard drive, and
  you can boot Linux from your hard drive.

  This kernel should get you going, but may not be the best for your particular
  hardware configurations. You should get the kernel source and configure it
  according to your need.

  Note: If you don't like the color ls, you can make `ls -f' or `ls --no-color'
  as an alias for ls.

Booting Other OS's
---------------
  There is a file called mboot.tar.Z under pub/linux/GCC/rootdisk on
  tsx-11.mit.edu.  Running mboot from a DOS partition on your first hard
  drive will enable you to choose from a menu to boot from up to 4 partitions
  on your first hard drive.  Read the documentation in mboot.tar.z for details.

Other Linux Disks
-----------------
  The next thing you may want to do is install the Linux Base System,
  which contains many system utilities.  Please read README.basedisk
  in the base system directory for details.

  The Linux Base System is on tsx-11.mit.edu under pub/linux/GCC/basedisk.

  The only thing missing from the Linux Base System is ispell 3.09.
  It is in a separate file, under pub/linux/GCC/basedisk.

  You may be also interested in libdisk and gccdisk, which have the most
  current C/C++ libraries and gcc.

  Note: basedisk, libdisk and gccdisk may not be very up to date. I am
  doing my best to keep them current.

  I will try to update my root disk regularly with Linus' new kernel.

  This root disk works on my machine with 100MB IDE drive.  I don't know
  anything about your machine or SCSI.  Good luck.

  Correct me if I am wrong.  Tell me about your story.

Thanks.

H.J.
[email-masked]
02/16/93

-- 
Send submissions for comp.os.linux.announce to: [email-masked]